org.apache.cassandra.db

## Class CounterMutation

- java.lang.Object
- - org.apache.cassandra.db.CounterMutation

All Implemented Interfaces:
  IMutation

    public class CounterMutation
    extends java.lang.Object
    implements IMutation

### Field Summary

Fields
`static org.apache.cassandra.db.CounterMutationSerializer` `serializer`

### Constructor Summary

Constructors
Constructor and Description
`CounterMutation(RowMutation rowMutation, ConsistencyLevel consistency)`

### Method Summary

Methods
`void` `addAll(IMutation m)`
`void` `apply()`
`ConsistencyLevel` `consistency()`
`java.util.Collection<ColumnFamily>` `getColumnFamilies()`
`java.util.Collection<java.util.UUID>` `getColumnFamilyIds()`
`java.lang.String` `getKeyspaceName()`
`java.nio.ByteBuffer` `key()`
`MessageOut<CounterMutation>` `makeMutationMessage()`
`RowMutation` `makeReplicationMutation()`
`RowMutation` `rowMutation()`
`boolean` `shouldReplicateOnWrite()`
`java.lang.String` `toString()`
`java.lang.String` `toString(boolean shallow)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serializer

    public static final org.apache.cassandra.db.CounterMutationSerializer serializer

### Constructor Detail

#### CounterMutation

    public CounterMutation(RowMutation rowMutation,
                   ConsistencyLevel consistency)

### Method Detail

#### getKeyspaceName

    public java.lang.String getKeyspaceName()

Specified by:
  `getKeyspaceName` in interface `IMutation`

#### getColumnFamilyIds

    public java.util.Collection<java.util.UUID> getColumnFamilyIds()

Specified by:
  `getColumnFamilyIds` in interface `IMutation`

#### getColumnFamilies

    public java.util.Collection<ColumnFamily> getColumnFamilies()

Specified by:
  `getColumnFamilies` in interface `IMutation`

#### key

    public java.nio.ByteBuffer key()

Specified by:
  `key` in interface `IMutation`

#### rowMutation

    public RowMutation rowMutation()

#### consistency

    public ConsistencyLevel consistency()

#### makeReplicationMutation

    public RowMutation makeReplicationMutation()

#### makeMutationMessage

    public MessageOut<CounterMutation> makeMutationMessage()

#### shouldReplicateOnWrite

    public boolean shouldReplicateOnWrite()

#### apply

    public void apply()

Specified by:
  `apply` in interface `IMutation`

#### addAll

    public void addAll(IMutation m)

Specified by:
  `addAll` in interface `IMutation`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toString

    public java.lang.String toString(boolean shallow)

Specified by:
  `toString` in interface `IMutation`